%define anolis_release 2

Name:           xcb-proto
Version:        1.16.0
Release:        %{anolis_release}%{?dist}
Summary:        XCB protocol descriptions

License:        MIT
URL:            https://xcb.freedesktop.org/
Source0:        https://www.x.org/releases/individual/proto/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  libxml2
BuildRequires:  make
BuildRequires:  python3-devel

%description
XCB is a project to enable efficient language bindings to the X11 protocol.
This package contains the protocol descriptions themselves.  Language
bindings use these protocol descriptions to generate code for marshalling
the protocol.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%check
%make_build check

%files
%license COPYING
%doc NEWS README.md TODO doc/xml-xcb.txt
%{_datadir}/pkgconfig/xcb-proto.pc
%dir %{_datadir}/xcb/
%{_datadir}/xcb/*.xsd
%{_datadir}/xcb/*.xml
%{python3_sitelib}/xcbgen

%changelog
* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.16.0-2
- Rebuild with python3.11

* Sat Aug 26 2023 Funda Wang <fundawang@yeah.net> - 1.16.0-1
- New version 1.16.0

* Sun Oct 30 2022 Funda Wang <fundawang@yeah.net> - 1.15.2-1
- New version 1.15.2
- Init from upstream version 1.14
